Check Point Advisories

Adobe Acrobat ImageConversion EMF Integer Overflow (CVE-2017-11308)

Check Point Reference: CPAI-2018-0059
Date Published: 5 Feb 2018
Severity: High
Last Updated: 7 Feb 2018
Source: Adobe Security Bulletin APSB17-36
Industry Reference:CVE-2017-11308
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Adobe Systems Acrobat 2017 2017.011.30066 and earlier versions
Adobe Systems Acrobat DC (Classic) 2015.006.30355 and earlier
Adobe Systems Acrobat DC (Continuous) 2017.012.20098 and earlier
Adobe Systems Acrobat XI 11.0.22 and earlier
Vulnerability Description An integer overflow vulnerability exists in ImageConversion component of Adobe Acrobat. The vulnerability is due to improper parsing of EMF+ records in an EMF file, which leads to incorrect buffer allocation. A remote attacker could exploit this vulnerability by enticing a target user into opening a crafted EMF document.
Update/Patch AvaliableApply patches from: APSB17-36

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Adobe Acrobat ImageConversion EMF Integer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Adobe Reader Violation.
Attack Information:  Adobe Acrobat ImageConversion EMF Integer Overflow

This website uses cookies to ensure you get the best experience. More Info Got it, Thanks!